Get Agent Session Input Request
curl --request GET \
--url https://api.opensink.com/api/v1/agent-session-input-requests/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.opensink.com/api/v1/agent-session-input-requests/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.opensink.com/api/v1/agent-session-input-requests/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"session_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workspace_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"key": "<string>",
"title": "<string>",
"message": "<string>",
"schema": {},
"response": {},
"status": "pending",
"created_at": "2023-11-07T05:31:56Z",
"resolved_at": "2023-11-07T05:31:56Z"
}{
"error": "Unauthorized"
}{
"error": "Insufficient permissions"
}{
"error": "Not found"
}Agent Session Input Request
Get Agent Session Input Request
Get a specific input request by ID
Required scope: agent_session_input_requests:read, agent_session_input_requests:all, or all:all
GET
/
api
/
v1
/
agent-session-input-requests
/
{id}
Get Agent Session Input Request
Authorizations
API key authentication
Path Parameters
Agent Session Input Request ID
Response
An input request from an agent session
An input request from an agent session
Unique identifier
Parent session ID
Parent agent ID
Workspace ID
Stable identifier for the agent
Maximum string length:
255Short title displayed in the list
Maximum string length:
255Human-readable explanation shown in UI
JSON Schema describing expected input
User-provided response
Request status
Available options:
pending, resolved Creation timestamp
Resolution timestamp

